const jobs = [
  'butcher', 'blacksmith', 'medic', 'librarian', 'trainer', 
  'guard', 'sweeper', 'host', 'merchant', 'administration', 
  'sewer', 'lumberjack', 'miner', 'tailor'
];

function getRandomAge(min, max) {
  return Math.floor(Math.random() * (max - min + 1)) + min;
}

function getRandomJob() {
  return jobs[Math.floor(Math.random() * jobs.length)];
}

function createMember(name, role, age, job) {
  const member = document.createElement('div');
  member.className = 'member';
  member.innerHTML = `
    <h3>${name}</h3>
    <p>${role}</p>
    <p>Age: ${age}</p>
    <p>${job}</p>
  `;
  return member;
}

function generateFamilyTree(familyName, firstName) {
  const grandparents = [
    createMember(`${familyName} Senior`, 'Grandfather', getRandomAge(60, 70), getRandomJob()),
    createMember(`${familyName} Seniora`, 'Grandmother', getRandomAge(60, 70), getRandomJob())
  ];

  const parents = [
    createMember(`${familyName} Junior`, 'Father', getRandomAge(30, 40), getRandomJob()),
    createMember(`${firstName} ${familyName}`, 'Mother', getRandomAge(30, 40), getRandomJob()),
    createMember(`${familyName} Uncle`, 'Uncle', getRandomAge(30, 40), getRandomJob()),
    createMember(`${familyName} Aunt`, 'Aunt', getRandomAge(30, 40), getRandomJob())
  ];

  const children = [
    createMember(`${familyName} Jr.`, 'Brother', getRandomAge(10, 20), 'Student at the Academy'),
    createMember(`${familyName} Jr.`, 'Sister', getRandomAge(10, 20), 'Training as a Civilian'),
    createMember(`${familyName} Cousin`, 'Cousin', getRandomAge(10, 20), 'Student at the Academy')
  ];

  const treeContainer = document.getElementById('tree-container');
  const grandparentsDiv = document.getElementById('grandparents');
  const parentsDiv = document.getElementById('parents');
  const childrenDiv = document.getElementById('children');

  grandparentsDiv.innerHTML = '';
  parentsDiv.innerHTML = '';
  childrenDiv.innerHTML = '';

  grandparents.forEach(gp => grandparentsDiv.appendChild(gp));
  parents.forEach(p => parentsDiv.appendChild(p));
  children.forEach(c => childrenDiv.appendChild(c));

  treeContainer.classList.remove('hidden');
}

document.getElementById('family-form').addEventListener('submit', function(e) {
  e.preventDefault();
  const familyName = document.getElementById('family-name').value;
  const firstName = document.getElementById('first-name').value;
  generateFamilyTree(familyName, firstName);
});